Module javafx.base
Package javafx.beans.property

# Class SimpleFloatProperty

java.lang.Object
javafx.beans.binding.NumberExpressionBase
javafx.beans.binding.FloatExpression
javafx.beans.property.ReadOnlyFloatProperty
javafx.beans.property.FloatProperty
javafx.beans.property.FloatPropertyBase
javafx.beans.property.SimpleFloatProperty

All Implemented Interfaces:
  `NumberExpression`, `Observable`, `Property<Number>`, `ReadOnlyProperty<Number>`, `ObservableFloatValue`, `ObservableNumberValue`, `ObservableValue<Number>`, `WritableFloatValue`, `WritableNumberValue`, `WritableValue<Number>`

Direct Known Subclasses:
  `ReadOnlyFloatWrapper`

    public class SimpleFloatProperty
    extends FloatPropertyBase

This class provides a full implementation of a `Property` wrapping a `float` value.

Since:
  JavaFX 2.0
See Also:
  `FloatPropertyBase`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `SimpleFloatProperty()` | The constructor of `FloatProperty`
  `SimpleFloatProperty​(float initialValue)` | The constructor of `FloatProperty`
  `SimpleFloatProperty​(Object bean, String name)` | The constructor of `FloatProperty`
  `SimpleFloatProperty​(Object bean, String name, float initialValue)` | The constructor of `FloatProperty`

- ## Method Summary

  ### Methods declared in class javafx.beans.property.FloatPropertyBase

  `fireValueChangedEvent, invalidated, toString`

  ### Methods declared in class javafx.beans.property.FloatProperty

  `asObject, floatProperty`

  ### Methods declared in class javafx.beans.property.ReadOnlyFloatProperty

  `readOnlyFloatProperty`

  ### Methods declared in class javafx.beans.binding.FloatExpression

  `add, add, add, add, divide, divide, divide, divide, floatExpression, floatExpression, multiply, multiply, multiply, multiply, negate, subtract, subtract, subtract, subtract`

  ### Methods declared in class javafx.beans.binding.NumberExpressionBase

  `numberExpression`

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods declared in interface javafx.beans.binding.NumberExpression

  `add, asString, asString, asString, divide, greaterThan, greaterThan, greaterThan, greaterThan, greaterThan, greaterThanOrEqualTo, greaterThanOrEqualTo, greaterThanOrEqualTo, greaterThanOrEqualTo, greaterThanOrEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, lessThan, lessThan, lessThan, lessThan, lessThan, lessThanOrEqualTo, lessThanOrEqualTo, lessThanOrEqualTo, lessThanOrEqualTo, lessThanOrEqualTo, multiply, subtract`

  ### Methods declared in interface javafx.beans.Observable

  `addListener, removeListener`

  ### Methods declared in interface javafx.beans.value.ObservableFloatValue

  `get`

  ### Methods declared in interface javafx.beans.value.ObservableNumberValue

  `doubleValue, floatValue, intValue, longValue`

  ### Methods declared in interface javafx.beans.value.ObservableValue

  `addListener, getValue, removeListener`

  ### Methods declared in interface javafx.beans.property.Property

  `bind, bindBidirectional, isBound, unbind, unbindBidirectional`

  ### Methods declared in interface javafx.beans.property.ReadOnlyProperty

  `getBean, getName`

  ### Methods declared in interface javafx.beans.value.WritableFloatValue

  `get, set, setValue`

  ### Methods declared in interface javafx.beans.value.WritableValue

  `getValue`

- ## Constructor Details

  - ### SimpleFloatProperty

    public SimpleFloatProperty()
    The constructor of `FloatProperty`

  - ### SimpleFloatProperty

    public SimpleFloatProperty​(float initialValue)
    The constructor of `FloatProperty`
    Parameters:
      `initialValue` - the initial value of the wrapped value

  - ### SimpleFloatProperty

    public SimpleFloatProperty​(Object bean, String name)
    The constructor of `FloatProperty`
    Parameters:
      `bean` - the bean of this `FloatProperty`
      `name` - the name of this `FloatProperty`

  - ### SimpleFloatProperty

    public SimpleFloatProperty​(Object bean, String name, float initialValue)
    The constructor of `FloatProperty`
    Parameters:
      `bean` - the bean of this `FloatProperty`
      `name` - the name of this `FloatProperty`
      `initialValue` - the initial value of the wrapped value